Bug 852799 - pushcount help in repo uploads mentions it defaults to 1 but if you don't provide a value errata create fails.
pushcount help in repo uploads mentions it defaults to 1 but if you don't pro...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On: 851229
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 11:48 EDT by Preethi Thomas
Modified: 2013-09-09 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 851229
Environment:
Last Closed: 2013-01-09 12:09:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-29 11:48:50 EDT
Clone for master
+++ This bug was initially created as a clone of Bug #851229 +++

Description of problem:
help text for pushcount in errata 
 --pushcount         - pushcount for this erratum; an integer, defaults to 1 

but if you try to create an errata without providing pushcount, the errata create fails.
[root@pulp-candidate scripts]# ./errata1.sh 
+----------------------------------------------------------------------+
                            Erratum Creation
+----------------------------------------------------------------------+

Error: Invalid pushcount []; should be an integer 

Version-Release number of selected component (if applicable):

[root@pulp-candidate scripts]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.1-1.fc17.noarch
[root@pulp-candidate scripts]# 

How reproducible:


Steps to Reproduce:
1.create a repo
2. run repo uploads errata with all the required fields and do not provide a --pushcount
3.
  
Actual results:

[root@pulp-candidate scripts]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.1-1.fc17.noarch
[root@pulp-candidate scripts]# 

Expected results:


Additional info:
Comment 1 Jay Dobies 2012-09-05 09:06:33 EDT
Verified this works in master, will be in the next QE build.
Comment 2 Jeff Ortel 2012-09-11 09:31:30 EDT
build: 0.327
Comment 3 Preethi Thomas 2012-09-26 16:08:02 EDT
[root@pulp-master scripts]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master scripts]# 


[root@pulp-master scripts]# pulp-admin repo uploads erratum --repo-id errata_demo --erratum_id "test-erratum" --title "test-erratum" --description "test-erratum"     --version "1" --release "el6" --type "enhancement" --status "final" --updated "2012-09-27"     --issued "2012-08-25" --reference-csv "references.csv" --pkglist-csv package_list.csv --from pthomas@redhat.com -v
+----------------------------------------------------------------------+
                          Puppet Module Upload
+----------------------------------------------------------------------+

Extracting necessary metdata for each request...
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing upload
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@pulp-master scripts]#
Comment 4 Preethi Thomas 2013-01-09 12:09:18 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.